Bug 2085410 - Metric unset during static route conversion in configure-ovs.sh
Summary: Metric unset during static route conversion in configure-ovs.sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.11
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.10.z
Assignee: Andreas Karis
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 2076975
Blocks: 2088148
TreeView+ depends on / blocked
 
Reported: 2022-05-13 09:56 UTC by OpenShift BugZilla Robot
Modified: 2022-05-31 12:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-31 12:40:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 3147 0 None open [release-4.10] Bug 2085410: OVN Kubernetes configure-ovs-network set static if conversion metric 2022-05-13 09:56:46 UTC
Red Hat Product Errata RHBA-2022:4754 0 None None None 2022-05-31 12:40:22 UTC

Comment 1 Ross Brattain 2022-05-16 05:03:21 UTC
Tested on 4.10.0-0.ci.test-2022-05-16-010951-ci-ln-i2647it-latest  vSphere UPI static and DHCP


May 16 01:33:10.721860 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + nmcli c load /etc/NetworkManager/system-connections/ovs-if-br-ex.nmconnection
May 16 01:33:10.736806 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + nmcli c mod ovs-if-br-ex ipv4.route-metric 48 ipv6.route-metric 48
May 16 01:33:10.756771 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + echo 'Loaded new ovs-if-br-ex connection file: /etc/NetworkManager/system-connections/ovs-if-br-ex.nmconnection'
May 16 01:33:10.756968 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: Loaded new ovs-if-br-ex connection file: /etc/NetworkManager/system-connections/ovs-if-br-ex.nmconnection
May 16 01:33:10.757038 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + configure_driver_options ens192
May 16 01:33:10.757139 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + intf=ens192
May 16 01:33:10.757198 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + '[' '!' -f /sys/class/net/ens192/device/uevent ']'
May 16 01:33:10.757782 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: ++ cat /sys/class/net/ens192/device/uevent
May 16 01:33:10.757834 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: ++ grep DRIVER
May 16 01:33:10.758041 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: ++ awk -F = '{print $2}'

May 16 01:33:11.157188 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + ip route show
May 16 01:33:11.157518 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: default via 172.31.248.1 dev br-ex proto static metric 48
May 16 01:33:11.157649 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: default via 192.168.60.1 dev ens224 proto dhcp metric 100
May 16 01:33:11.157649 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: default via 192.168.61.1 dev ens256 proto dhcp metric 101
May 16 01:33:11.157649 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: 172.31.248.0/23 dev br-ex proto kernel scope link src 172.31.248.112 metric 48
May 16 01:33:11.157649 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: 192.168.60.0/25 dev ens224 proto kernel scope link src 192.168.60.73 metric 100
May 16 01:33:11.157649 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: 192.168.61.0/25 dev ens256 proto kernel scope link src 192.168.61.123 metric 101
May 16 01:33:11.157792 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + ip -6 route show
May 16 01:33:11.158572 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: ::1 dev lo proto kernel metric 256 pref medium
May 16 01:33:11.158619 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: fe80::/64 dev ens224 proto kernel metric 100 pref medium
May 16 01:33:11.158619 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: fe80::/64 dev ens256 proto kernel metric 101 pref medium
May 16 01:33:11.158805 rbrattai-o410v72m-q78qr-compute-1 configure-ovs.sh[1402]: + exit 0
May 16 01:33:11.159224 rbrattai-o410v72m-q78qr-compute-1 systemd[1]: ovs-configuration.service: Succeeded.

Comment 6 errata-xmlrpc 2022-05-31 12:40:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.16 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:4754


Note You need to log in before you can comment on or make changes to this bug.